#include <stdio.h>
#include <string.h>
#include <stdlib.h>

/* convert total seconds to jday hours min sec msec*/
void TOTSECtoJDHMSMSEC(double totsecyear)  /* since beginning of year */
{
long intday,inthour,intmin;
double totsecday,day,hour,min,sec;

    totsecday = totsecyear;

    intday=1;
    while ( totsecday >= 86400.0 )
    {
      totsecday=totsecday - 86400.0;
      intday++;
    };
    day=(float)intday;

    inthour=0;
    while ( totsecday >= 3600.0 )
    {
      totsecday = totsecday - 3600.0;
      inthour++;
    };
    hour=(float)inthour;

    intmin=0;
    while ( totsecday >= 60.0 )
    {
      totsecday = totsecday - 60.0;
      intmin++;
    };
    min=(float)intmin;

    sec = totsecday;

    printf("%20.3f = %03.0f:%02.0f:%02.0f:%06.3f\n",
	   totsecyear,day,hour,min,sec);

}


void main(argc,argv)
  int argc;
  char *argv[];
{
  double value,day,hour,minute,second,millisec;
  int i;

  if ( argc<2 )
  {
    printf("totsec (total seconds) useage:\n");
    printf("------------------------------\n");
    printf("ttttttttt.ttt --> jjj:hh:mm:ss.sss\n");
    exit(0);
  };

  for ( i=1; i<argc; i++)
  {
    value=atof(argv[i]);
    TOTSECtoJDHMSMSEC(value);
  };

}


